<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: Point3D Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_point3_d.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_point3_d-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Point3D Class Reference<div class="ingroups"><a class="el" href="group___framework.html">Framework</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining a 2D point.  
 <a href="class_point3_d.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_point3_d_8h_source.html">Point3D.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a142541f5c7a4f209aa5951ecb41d210c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#a142541f5c7a4f209aa5951ecb41d210c">Point3D</a> (const <a class="el" href="class_point3_d.html">Point3D</a> *point)</td></tr>
<tr class="memdesc:a142541f5c7a4f209aa5951ecb41d210c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a142541f5c7a4f209aa5951ecb41d210c">More...</a><br/></td></tr>
<tr class="separator:a142541f5c7a4f209aa5951ecb41d210c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab794f850f5f2b5875487048c52fb699c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#ab794f850f5f2b5875487048c52fb699c">Point3D</a> (float <a class="el" href="class_point3_d.html#ab0893e4111116772fb777b1519176763">x</a>=0, float <a class="el" href="class_point3_d.html#ada6edc689bd7733d4dc05d449c5694ea">y</a>=0, float <a class="el" href="class_point3_d.html#a6e72b27633aeb7ed2e6f4b98da554b39">z</a>=0)</td></tr>
<tr class="memdesc:ab794f850f5f2b5875487048c52fb699c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#ab794f850f5f2b5875487048c52fb699c">More...</a><br/></td></tr>
<tr class="separator:ab794f850f5f2b5875487048c52fb699c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47f0d69b52d05981af482d60e9a09af5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#a47f0d69b52d05981af482d60e9a09af5">~Point3D</a> ()</td></tr>
<tr class="memdesc:a47f0d69b52d05981af482d60e9a09af5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a47f0d69b52d05981af482d60e9a09af5">More...</a><br/></td></tr>
<tr class="separator:a47f0d69b52d05981af482d60e9a09af5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fc570da21bde35c2a8b686430742f39"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#a1fc570da21bde35c2a8b686430742f39">CopyFrom</a> (const <a class="el" href="class_point3_d.html">Point3D</a> *point)</td></tr>
<tr class="memdesc:a1fc570da21bde35c2a8b686430742f39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy.  <a href="#a1fc570da21bde35c2a8b686430742f39">More...</a><br/></td></tr>
<tr class="separator:a1fc570da21bde35c2a8b686430742f39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2004ee806e50962bac66fb9f86d8d760"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#a2004ee806e50962bac66fb9f86d8d760">RotateX</a> (float value)</td></tr>
<tr class="memdesc:a2004ee806e50962bac66fb9f86d8d760"><td class="mdescLeft">&#160;</td><td class="mdescRight">x axis rotation  <a href="#a2004ee806e50962bac66fb9f86d8d760">More...</a><br/></td></tr>
<tr class="separator:a2004ee806e50962bac66fb9f86d8d760"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff0c7a0a40610982a530c41118e9d2ee"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#aff0c7a0a40610982a530c41118e9d2ee">RotateXDeg</a> (float value)</td></tr>
<tr class="memdesc:aff0c7a0a40610982a530c41118e9d2ee"><td class="mdescLeft">&#160;</td><td class="mdescRight">x axis rotation  <a href="#aff0c7a0a40610982a530c41118e9d2ee">More...</a><br/></td></tr>
<tr class="separator:aff0c7a0a40610982a530c41118e9d2ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a720aef11e5986913b7311bfc6a7653a8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#a720aef11e5986913b7311bfc6a7653a8">RotateY</a> (float value)</td></tr>
<tr class="memdesc:a720aef11e5986913b7311bfc6a7653a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">y axis rotation  <a href="#a720aef11e5986913b7311bfc6a7653a8">More...</a><br/></td></tr>
<tr class="separator:a720aef11e5986913b7311bfc6a7653a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb9c13007a997a4fe73b82193d6dade9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#adb9c13007a997a4fe73b82193d6dade9">RotateYDeg</a> (float value)</td></tr>
<tr class="memdesc:adb9c13007a997a4fe73b82193d6dade9"><td class="mdescLeft">&#160;</td><td class="mdescRight">y axis rotation  <a href="#adb9c13007a997a4fe73b82193d6dade9">More...</a><br/></td></tr>
<tr class="separator:adb9c13007a997a4fe73b82193d6dade9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38685488aa6087673a8bef97d422f66c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#a38685488aa6087673a8bef97d422f66c">RotateZ</a> (float value)</td></tr>
<tr class="memdesc:a38685488aa6087673a8bef97d422f66c"><td class="mdescLeft">&#160;</td><td class="mdescRight">z axis rotation  <a href="#a38685488aa6087673a8bef97d422f66c">More...</a><br/></td></tr>
<tr class="separator:a38685488aa6087673a8bef97d422f66c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f956b79efa9d4665e638db59c7fad85"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#a4f956b79efa9d4665e638db59c7fad85">RotateZDeg</a> (float value)</td></tr>
<tr class="memdesc:a4f956b79efa9d4665e638db59c7fad85"><td class="mdescLeft">&#160;</td><td class="mdescRight">z axis rotation  <a href="#a4f956b79efa9d4665e638db59c7fad85">More...</a><br/></td></tr>
<tr class="separator:a4f956b79efa9d4665e638db59c7fad85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1a122ff46115801b6a9d1201b71d772"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#ae1a122ff46115801b6a9d1201b71d772">To2Dxy</a> (<a class="el" href="class_point2_d.html">Point2D</a> *point)</td></tr>
<tr class="memdesc:ae1a122ff46115801b6a9d1201b71d772"><td class="mdescLeft">&#160;</td><td class="mdescRight">Convert to a <a class="el" href="class_point2_d.html" title="Class defining a 2D point. ">Point2D</a>.  <a href="#ae1a122ff46115801b6a9d1201b71d772">More...</a><br/></td></tr>
<tr class="separator:ae1a122ff46115801b6a9d1201b71d772"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d6cedb15ccc31466ba8b08cf2119ff1"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#a3d6cedb15ccc31466ba8b08cf2119ff1">Norm</a> (void)</td></tr>
<tr class="memdesc:a3d6cedb15ccc31466ba8b08cf2119ff1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Norm.  <a href="#a3d6cedb15ccc31466ba8b08cf2119ff1">More...</a><br/></td></tr>
<tr class="separator:a3d6cedb15ccc31466ba8b08cf2119ff1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d2c157cda198e8274c8edc13d91f959"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#a5d2c157cda198e8274c8edc13d91f959">Normalize</a> (void)</td></tr>
<tr class="memdesc:a5d2c157cda198e8274c8edc13d91f959"><td class="mdescLeft">&#160;</td><td class="mdescRight">Normalize.  <a href="#a5d2c157cda198e8274c8edc13d91f959">More...</a><br/></td></tr>
<tr class="separator:a5d2c157cda198e8274c8edc13d91f959"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ab0893e4111116772fb777b1519176763"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#ab0893e4111116772fb777b1519176763">x</a></td></tr>
<tr class="memdesc:ab0893e4111116772fb777b1519176763"><td class="mdescLeft">&#160;</td><td class="mdescRight">x  <a href="#ab0893e4111116772fb777b1519176763">More...</a><br/></td></tr>
<tr class="separator:ab0893e4111116772fb777b1519176763"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada6edc689bd7733d4dc05d449c5694ea"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#ada6edc689bd7733d4dc05d449c5694ea">y</a></td></tr>
<tr class="memdesc:ada6edc689bd7733d4dc05d449c5694ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">y  <a href="#ada6edc689bd7733d4dc05d449c5694ea">More...</a><br/></td></tr>
<tr class="separator:ada6edc689bd7733d4dc05d449c5694ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e72b27633aeb7ed2e6f4b98da554b39"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_point3_d.html#a6e72b27633aeb7ed2e6f4b98da554b39">z</a></td></tr>
<tr class="memdesc:a6e72b27633aeb7ed2e6f4b98da554b39"><td class="mdescLeft">&#160;</td><td class="mdescRight">z  <a href="#a6e72b27633aeb7ed2e6f4b98da554b39">More...</a><br/></td></tr>
<tr class="separator:a6e72b27633aeb7ed2e6f4b98da554b39"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining a 2D point. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a142541f5c7a4f209aa5951ecb41d210c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Point3D::Point3D </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_point3_d.html">Point3D</a> *&#160;</td>
          <td class="paramname"><em>point</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="class_point3_d.html" title="Class defining a 2D point. ">Point3D</a> using values from another class.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">point</td><td>class to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab794f850f5f2b5875487048c52fb699c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Point3D::Point3D </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>z</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="el" href="class_point2_d.html" title="Class defining a 2D point. ">Point2D</a> using specified values.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td></td></tr>
    <tr><td class="paramname">y</td><td></td></tr>
    <tr><td class="paramname">z</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a47f0d69b52d05981af482d60e9a09af5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Point3D::~Point3D </td>
          <td>(</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a1fc570da21bde35c2a8b686430742f39"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Point3D::CopyFrom </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_point3_d.html">Point3D</a> *&#160;</td>
          <td class="paramname"><em>point</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Copy. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">point</td><td>class to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2004ee806e50962bac66fb9f86d8d760"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Point3D::RotateX </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>x axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in radians </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aff0c7a0a40610982a530c41118e9d2ee"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Point3D::RotateXDeg </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>x axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in degrees </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a720aef11e5986913b7311bfc6a7653a8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Point3D::RotateY </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>y axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in radians </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="adb9c13007a997a4fe73b82193d6dade9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Point3D::RotateYDeg </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>y axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in degrees </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a38685488aa6087673a8bef97d422f66c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Point3D::RotateZ </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>z axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in radians </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4f956b79efa9d4665e638db59c7fad85"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Point3D::RotateZDeg </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>value</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>z axis rotation </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>rotation value in degrees </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae1a122ff46115801b6a9d1201b71d772"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Point3D::To2Dxy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_point2_d.html">Point2D</a> *&#160;</td>
          <td class="paramname"><em>point</em>)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Convert to a <a class="el" href="class_point2_d.html" title="Class defining a 2D point. ">Point2D</a>. </p>
<p>Uses x and y coordinates.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">point</td><td>destination </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3d6cedb15ccc31466ba8b08cf2119ff1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Point3D::Norm </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Norm. </p>
<dl class="section return"><dt>Returns</dt><dd>value </dd></dl>

</div>
</div>
<a class="anchor" id="a5d2c157cda198e8274c8edc13d91f959"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Point3D::Normalize </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Normalize. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="ab0893e4111116772fb777b1519176763"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Point3D::x</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>x </p>

</div>
</div>
<a class="anchor" id="ada6edc689bd7733d4dc05d449c5694ea"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Point3D::y</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>y </p>

</div>
</div>
<a class="anchor" id="a6e72b27633aeb7ed2e6f4b98da554b39"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float Point3D::z</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>z </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_point3_d.html">Point3D</a></li>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:08 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
